### Hierarchy

- RootObject

## Index

### Accessors

- vsProps

### Methods

- addEventListener
- appendChild
- dispatchEvent

## Accessors

### vsProps

- get vsProps(): object | object | __type

- - Defined in src/core/XNode.ts:12

  #### Returns object | object | __type

## Methods

### addEventListener

- addEventListener(name: string, handler: EventListenerOrEventListenerObject): IDisposable

- - Defined in src/core/XNode.ts:18

  #### Parameters

  - ##### name: string

  - ##### handler: EventListenerOrEventListenerObject

  #### Returns IDisposable

### appendChild

- appendChild(e: any): void

- - Defined in src/core/XNode.ts:22

  #### Parameters

  - ##### e: any

  #### Returns void

### dispatchEvent

- dispatchEvent(evt: Event): void

- - Defined in src/core/XNode.ts:26

  #### Parameters

  - ##### evt: Event

  #### Returns void

Generated using TypeDoc